#!/bin/sh

#**************************************************************
# Author: Didier Swingedouw
# Contact: dswinge@dsm-mail.cea.fr
# Author: Patrick Brockmann
# Contact: Patrick.Brockmann@ipsl.jussieu.fr
# $Date: 2003/03/18 12:59:25 $
# $Name: ATLAS_591_0_9 $
# $Revision: 1.1.1.2 $
# History:
# Modification:
#
#**************************************************************

input=$@
paper=-p
#frequency=1:90:10
frequency=1:40:40
your_reference_file=/directory/file.nc

# atlas -d -o Animation Animation.cfg toto



#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-240m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"/home/swingedouw/FERRET/CMIP5/Temp240m_Atl34N62N_CMIP5.nc" 240 "/vlim=1955:2005/hlim=-55:-30" "/pal=light_centered/lev=(-INF)(-1.5,1.5,0.2)(INF)"'
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-500m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"/home/swingedouw/FERRET/CMIP5/Temp500m_Atl34N62N_CMIP5.nc" 500 "/vlim=1955:2005/hlim=-70:-10" "/pal=light_centered/lev=(-INF)(-1.1,1.1,0.2)(INF)"'
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-1000m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"/home/swingedouw/FERRET/CMIP5/Temp1000m_Atl34N62N_CMIP5.nc" 1000 "/vlim=1955:2005/hlim=-70:-10" "/pal=light_centered/lev=(-INF)(-0.75,0.75,0.1)(INF)"'

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-240m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels_norm.jnl '"/home/swingedouw/FERRET/CMIP5/Temp240m_Atl34N62N_CMIP5.nc" 240 "/vlim=1955:2005/hlim=-55:-30" "/pal=light_centered/lev=(-INF)(-3,3,0.5)(INF)"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-500m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels_norm.jnl '"/home/swingedouw/FERRET/CMIP5/Temp500m_Atl34N62N_CMIP5.nc" 500 "/vlim=1955:2005/hlim=-70:-10" "/pal=light_centered/lev=(-INF)(-3,3,0.5)(INF)"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-1000m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels_norm.jnl '"/home/swingedouw/FERRET/CMIP5/Temp1000m_Atl34N62N_CMIP5.nc" 1000 "/vlim=1955:2005/hlim=-70:-10" "/pal=light_centered/lev=(-INF)(-3,3,0.5)(INF)"'


echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Labrador Salinity 0-300m" -o DirOut Plot_CMIP5_LabradorSalt ' '

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Labrador Salinity 0-300m" -o DirOut Plot_CMIP5_LabradorSalt_FillBet.jnl '"/hlim=1950:2005/vlim=-0.15:0.15" "l=90:145@ave" "l=@sbx:5" "/hlim=1950:2005/vlim=-1.5:1.5" 6'
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Labrador Salinity 0-300m" -o DirOut  Plot_CMIP5_LabradorSalt_FillBet.jnl '"/hlim=1860:2005/vlim=-0.15:0.15" "l=1:145@ave" "l=@sbx:5" "/hlim=1860:2005/vlim=-1.5:1.5" 6'

#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Salinity propagation 0-100m 40-55N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"Salt100m_Atl40N55N_CMIP5.nc" 100 "/vlim=1955:2005/hlim=-63:-20" "/pal=light_centered/lev=(-INF)(-0.65,0.65,0.1)(INF)" "Salt"'
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Salinity propagation 0-200m 40-55N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"Salt200m_Atl40N55N_CMIP5.nc" 200 "/vlim=1955:2005/hlim=-63:-20" "/pal=light_centered/lev=(-INF)(-0.5,0.5,0.05)(INF)" "Salt"'
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Salinity propagation 0-300m 40-55N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"Salt300m_Atl40N55N_CMIP5.nc" 300 "/vlim=1955:2005/hlim=-63:-20" "/pal=light_centered/lev=(-INF)(-0.4,0.4,0.05)(INF)" "Salt"'

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Salinity propagation 0-100m 40-55N Atl." -o DirOut RossbyWave_CMIP5_6panels_norm.jnl '"Salt100m_Atl40N55N_CMIP5.nc" 100 "/vlim=1955:2005/hlim=-63:-20" "/pal=light_centered/lev=(-INF)(-3,3,0.5)(INF)" "Salt"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Salinity propagation 0-200m 40-55N Atl." -o DirOut RossbyWave_CMIP5_6panels_norm.jnl '"Salt200m_Atl40N55N_CMIP5.nc" 200 "/vlim=1955:2005/hlim=-63:-20" "/pal=light_centered/lev=(-INF)(-3,3,0.5)(INF)" "Salt"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Salinity propagation 0-300m 40-55N Atl." -o DirOut RossbyWave_CMIP5_6panels_norm.jnl '"Salt300m_Atl40N55N_CMIP5.nc" 300 "/vlim=1955:2005/hlim=-63:-20" "/pal=light_centered/lev=(-INF)(-3,3,0.5)(INF)" "Salt"'




exit


# whole period

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-240m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"/home/swingedouw/FERRET/CMIP5/Temp240m_Atl34N62N_CMIP5.nc" 240 "/vlim=1860:2005/hlim=-55:-30/pal=light_centered/lev=(-INF)(-1.5,1.5,0.2)(INF)"'

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-500m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"/home/swingedouw/FERRET/CMIP5/Temp500m_Atl34N62N_CMIP5.nc" 500 "/vlim=1860:2005/hlim=-70:-10/pal=light_centered/lev=(-INF)(-1.1,1.1,0.2)(INF)"'

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Temperature propagation 0-1000m 34-62N Atl." -o DirOut RossbyWave_CMIP5_6panels.jnl '"/home/swingedouw/FERRET/CMIP5/Temp1000m_Atl34N62N_CMIP5.nc" 1000 "/vlim=1860:2005/hlim=-70:-10/pal=light_centered/lev=(-INF)(-0.75,0.75,0.1)(INF)"'

